Skip to Content
kosemdocs
ReferenceAPIService accounts

Delete service account key in project

Deletes a key. It stops working at once.

DELETE
/v1/projects/{project}/serviceAccounts/{serviceAccount}/keys/{key}

Deletes a key. It stops working at once.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
serviceAccount*string

The service account's ID.

Match^sa_[0-7][0-9a-hjkmnp-tv-z]{25}$
key*string

The key's ID.

Match^key_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/serviceAccounts/string/keys/string'
Example Response
Empty